Get a lease by ID
https://api.propexo.com/v1/leases/:lease_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
- Array [
- string
- string
PRIMARYSECONDARYGUARANTOROTHER - ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the lease
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method |
|---|
| leases/getLeases |
| artransactions/getLeaseArTransactions |
123456The external ID of the property from the integration vendor
| Method |
|---|
| leases/getLeases |
| artransactions/getLeaseArTransactions |
property123Deprecated. Use residents_meta_data instead
| Method |
|---|
| leases/getLeases |
The external ID of the unit from the integration vendor
| Method |
|---|
| leases/getLeases |
unit123residents_meta_data object[]
Known associated resident meta data
The Propexo unique identifier for the resident
| Method |
|---|
| leases/getLeases |
clxkwuprj000ct3oz8lbye18sThe external type of the resident from the integration vendor
| Method |
|---|
| leases/getLeases |
mainResident type from Propexo
| Method |
|---|
| leases/getLeases |
PRIMARYShow 2 variants
The move-in date associated with the resident
| Method |
|---|
| leases/getLeases |
2023-06-15T00:00:00.000ZThe move-out date associated with the resident
| Method |
|---|
| leases/getLeases |
2024-06-15T00:00:00.000ZThe date the resident gave notice
This field will always be null for ENTRATA
nullcustom_data object | nullrequired
The date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe application date associated with the lease
| Method |
|---|
| leases/getLeases |
2023-06-15T00:00:00.000Zcustom_data object | nullrequired
The deposit amount associated with the lease
| Method |
|---|
| leases/getLeases |
500.00The deposit amount in cents associated with the lease
| Method |
|---|
| leases/getLeases |
50000The deposit date associated with the lease
| Method |
|---|
| leases/getLeases |
2023-06-20T00:00:00.000ZThe end date associated with the lease
| Method |
|---|
| leases/getLeases |
2024-06-15T00:00:00.000ZDEPRECATED: Please use residents_meta_data to view resident move in dates
| Method |
|---|
| leases/getLeases |
DEPRECATED: Please use residents_meta_data to view resident move out dates
| Method |
|---|
| leases/getLeases |
The rent amount in cents for the lease
Your customers must configure access to the getArCodes API in order to populate rent amounts for Entrata.
| Method |
|---|
| leases/getLeases |
125000The market rent amount in cents for the lease
This field will always be null for ENTRATA
nullThe rent due day associated with the lease
This field will always be null for ENTRATA
nullThe rent due date associated with the lease
This field will always be null for ENTRATA
nullDEPRECATED: Please use residents_meta_data to view resident move in dates
This field will always be null for ENTRATA
nullDEPRECATED: Please use residents_meta_data to view resident move out dates
This field will always be null for ENTRATA
nullThe date the lease was signed
| Method |
|---|
| leases/getLeases |
2023-06-10T00:00:00.000ZThe start date associated with the lease
| Method |
|---|
| leases/getLeases |
2023-06-15T00:00:00.000ZDEPRECATED. Use status_normalized
Deprecated in favor of status_normalized and status_raw
| Method |
|---|
| leases/getLeases |
The normalized status for the lease. Note that the status may be called "EVICTED" but this can also refer to an active resident undergoing a current eviction. This varies per PMS.
| Method |
|---|
| leases/getLeases |
Show 5 enum values
ACTIVEINACTIVEOTHERPENDINGEVICTEDACTIVEThe raw status associated with the lease
| Method |
|---|
| leases/getLeases |
activeThe lease term
This field will always be null for ENTRATA
nullThe type of lease
| Method |
|---|
| leases/getLeases |
ResidentialThe unit number associated with the lease. This isn't always provided by PMS vendors, but may be the only data provided to identify a unit associated with a service request in some cases.
| Method |
|---|
| leases/getLeases |
43The write off amount for the lease, in cents
Entrata calculates this value based on the window of time queried in their API. By default, Propexo limits this window of time to save you cost. Please contact support for more details or to adjust this parameter.
| Method |
|---|
| artransactions/getLeaseArTransactions |
105The raw write off amount of the lease from the PMS
Entrata calculates this value based on the window of time queried in their API. By default, Propexo limits this window of time to save you cost. Please contact support for more details or to adjust this parameter.
| Method |
|---|
| artransactions/getLeaseArTransactions |
1.05The balance amount for the lease, in cents
Entrata calculates this value based on the window of time queried in their API. By default, Propexo limits this window of time to save you cost. Please contact support for more details or to adjust this parameter.
| Method |
|---|
| artransactions/getLeaseArTransactions |
432280The raw balance amount of the lease from the PMS
Entrata calculates this value based on the window of time queried in their API. By default, Propexo limits this window of time to save you cost. Please contact support for more details or to adjust this parameter.
| Method |
|---|
| artransactions/getLeaseArTransactions |
4322.8The past due balance for the lease, in cents
Entrata calculates this value based on the window of time queried in their API. By default, Propexo limits this window of time to save you cost. Please contact support for more details or to adjust this parameter.
| Method |
|---|
| artransactions/getLeaseArTransactions |
432280The raw past due balance of the lease from the PMS
Entrata calculates this value based on the window of time queried in their API. By default, Propexo limits this window of time to save you cost. Please contact support for more details or to adjust this parameter.
| Method |
|---|
| artransactions/getLeaseArTransactions |
4322.8The Propexo unique identifier for the unit
| Method |
|---|
| leases/getLeases |
clxkwu2m60008t3oza63zbjzpThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
ENTRATAAPPFOLIOBUILDIUMMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTENTRATAservices object[]required
List of services related to the lease
The Propexo unique identifier for the lease service
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe name of the lease service
| Method |
|---|
| leases/getLeaseDetails |
Funish name optionThe Propexo unique identifier for the lease
| Method |
|---|
| leases/getLeaseDetails |
clxksir9z000e2xozfgbb7nomErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/leases/:lease_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "123456",
"x_property_id": "property123",
"x_unit_id": "unit123",
"residents_meta_data": [
{
"resident_id": "clxkwuprj000ct3oz8lbye18s",
"x_resident_type": "main",
"resident_type_normalized": "PRIMARY",
"move_in_date": "2023-06-15T00:00:00.000Z",
"move_out_date": "2024-06-15T00:00:00.000Z",
"notice_date": null,
"custom_data": "Unknown Type: object,null",
"last_seen": "2024-03-22T10:59:45.119Z"
}
],
"application_date": "2023-06-15T00:00:00.000Z",
"custom_data": "Unknown Type: object,null",
"deposit_amount": "500.00",
"deposit_amount_in_cents": 50000,
"deposit_date": "2023-06-20T00:00:00.000Z",
"end_date": "2024-06-15T00:00:00.000Z",
"rent_amount_in_cents": 125000,
"rent_amount_market_in_cents": null,
"rent_due_day": null,
"rent_due_date": null,
"signature_date": "2023-06-10T00:00:00.000Z",
"start_date": "2023-06-15T00:00:00.000Z",
"status_normalized": "ACTIVE",
"status_raw": "active",
"term": null,
"type": "Residential",
"unit_number": "43",
"write_off_amount_in_cents": 105,
"write_off_amount_raw": "1.05",
"balance_amount_in_cents": 432280,
"balance_amount_raw": "4322.8",
"past_due_balance_in_cents": 432280,
"past_due_balance_raw": "4322.8",
"unit_id": "clxkwu2m60008t3oza63zbjzp",
"property_id": "clwi5xiix000008l6ctdgafyh",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "ENTRATA",
"services": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"name": "Funish name option",
"lease_id": "clxksir9z000e2xozfgbb7nom"
}
]
}
}